@import "~sass/media";
@import "~sass/variables";

.reset-bg {
    background-color: $teritary;
    padding: 3vh 2vh 2vh 2vh;
    width: 50%;
    height: 100%;
    margin: 10vh auto 12vh;
    border-radius: 0.5vh;
    // border: 1px solid #d0cfcf;
    font-size: 13px;
    // -webkit-box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    // box-shadow: 0 1px 3px rgba(0, 0, 0, 0.12), 0 1px 2px rgba(0, 0, 0, 0.24);
    // -webkit-transition: all 0.5s cubic-bezier(.25, .8, .25, 1);
    transition: all 0.5s cubic-bezier(.25, .8, .25, 1);
}
.reset-bg .mat-form-field {
    display: block;
    font-size: 1rem;
    line-height: 1.5;
}
.reset-bg button.mat-primary {
    margin-top: 1vh;
    height: 100%;
}
.forgot-txt {
    font-size: 0.9rem;
}

.form-full-width {
  width: 100%;
}

.password-hint {
  background-color: #fff;
  padding: 10px;
  z-index: 9;
  position: absolute;
  width: 50%;
  left: 50%;
  top: 0;
  border: 2px solid $primary-color;
  display: inline-grid;
  font-size: 15px;
  line-height: 2;

}

.password-hint::before {
  bottom: 100%;
  left: 0%;
  border: solid transparent;
  content: " ";
  height: 0;
  width: 0px;
  position: absolute;
  pointer-events: none;
  border-bottom-color: $primary-color;
  border-width: 8px;
  margin-left: -16px;
  transform: rotate(-90deg);
  top: 15px;
}
@include for-size(phone-only) {
    .reset-bg {
        width: 100%;
    }
    .password-hint {
      left: 50%;
      font-size: 10px;
      width: 55%;
  }
}

@include for-size(tablet-portrait-up){
    .reset-bg {
        width: 70%;
    }
    .password-hint {
      left: 50%;
      font-size: 13px;
      line-height: 2;
      width: 70%;
  }
}
@include for-size(tablet-landscape-up){
    .reset-bg {
        width: 70%;
    }
    .password-hint {
      left: 50%;
      font-size: 13px;
      line-height: 2;
      width: 70%;
  }
}

@include for-size(desktop-up) {
  .password-hint {
    width: 50%;
}
}
@include for-size(big-desktop-up) {
  .password-hint {
      width: 50%;
  }
}
::ng-deep .reset-bg .mat-checkbox-layout{
    margin-top: 1.5rem!important;  
}